--- title: "AI Agent Topic Category" slug: "ai-agent-category" updated: 2025-09-18T22:05:51Z published: 2025-09-18T22:05:51Z canonical: "developer.comm100.com/ai-agent-category" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # AI Agent Topic Category ## AI Agent Topic Category - `Categories` - Categories Manage - `GET aiagent/topiccategories` - [Get the list of Categories](/docs/ai-agent-category#get-the-list-of-categories) - `GET aiagent/topiccategories/{id}` - [Get a single Topic Category](/docs/ai-agent-category#get-a-single-topic-category) - `POST aiagent/topiccategories` - [Create a new topic Category](/docs/ai-agent-category#create-a-new-topic-category) - `PUT aiagent/topiccategories/{id}` - [Update the topic Category](/docs/ai-agent-category#update-the-topic-category) - `DELETE aiagent/topiccategories/{id}` - [Remove the topic Category](/docs/ai-agent-category#remove-the-topic-category) ### AI Agent Topic Category JSON Format AI Agent Topic Category is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the category. | | `aiAgentId` | guid | Id of the AI Agent. | | `name` | string | Name of the category. | | `order` | integer | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | Parent Id of the category. | ### Get the list of Categories `GET aiagent/topiccategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `aiAgentId` | guid | query | no | Id of the AI Agent. | | `parentId` | guid | query | no | Parent Id of the category. | - #### Response: An array of [AI Agent Topic Category](/docs/ai-agent-category#ai-agent-topic-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/aiagent/topiccategories \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "aiAgentId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ] ``` ### Get a single Topic Category `GET aiagent/topiccategories/{id}` - #### Parameters: No Parameters - #### Response: [AI Agent Topic Category](/docs/ai-agent-category#ai-agent-topic-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/aiagent/topiccategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "aiAgentId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Create a new Topic Category `POST aiagent/topiccategories` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `aiAgentId` | guid | body | yes | Id of the AI Agent. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | no | Parent Id of the category. | - #### Response: [AI Agent Topic Category](/docs/ai-agent-category#ai-agent-topic-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/aiagent/topiccategories \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"aiAgentId":"e8bf0d25-eed6-4a46-a417-318e15019609","name":"fruit","order":1,"parentId":"3bfcf193-9939-4abd-a832-2625ea02e75b"}' ``` Response: HTTP/1.1 201 Created ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "aiAgentId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Update the Topic Category `PUT aiagent/topiccategories/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `Id` | guid | body | yes | Id of the AI Agent Topic Category. | | `aiAgentId` | guid | body | yes | Id of the AI Agent. | | `name` | string | body | yes | Name of the category. | | `order` | integer | body | no | Must be greater than or equal to 0, ascending order. | | `parentId` | guid | body | yes | Parent Id of the category. | - #### Response: [AI Agent Topic Category](/docs/ai-agent-category#ai-agent-topic-category-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/aiagent/topiccategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"id":"ee705b05-33c0-43b6-ab4a-a138f28b6aa2","aiAgentId":"e8bf0d25-eed6-4a46-a417-318e15019609","name":"fruit","order":1,"parentId":"3bfcf193-9939-4abd-a832-2625ea02e75b"}' ``` Response: HTTP/1.1 200 OK ``` { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "aiAgentId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } ``` ### Remove the topic Category `DELETE aiagent/topiccategories/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/aiagent/topiccategories/ee705b05-33c0-43b6-ab4a-a138f28b6aa2 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content